/*
 * DPDeckPSCFGNodes.cpp
 *
 */
#ifndef DP_DECK_PSCFG_NODES_CPP
#define DP_DECK_PSCFG_NODES_CPP
#include "Util.hpp"
#include "DPDeckPSCFGNodes.hpp"

string
DPDeckPSCFG::TZNode::
toString() const
{
  ostringstream oss;
  oss << "{ type: " << type << ", ";
  oss << "topLeftMargin: " << topLeftMargin << ", ";
  oss << "bottomRightMargin: " << bottomRightMargin << ", ";
  return oss.str();
}
string
DPDeckPSCFG::XNode::
toString() const
{
  ostringstream oss;
  return oss.str();
}
string
DPDeckPSCFG::YNode::
toString() const
{
  ostringstream oss;
  oss << "{ scMP: " << scMP.toString() << " }";
  return oss.str();
}

string
DPDeckPSCFG::PairNode::
toString() const
{
  ostringstream oss;
  return oss.str();
}
bool
DPDeckPSCFG::PairNode::
equals(const PairNode& pn) const
{
  return true;
}
string
DPDeckPSCFG::BENode::
toString() const
{
  ostringstream oss;
  return oss.str();
}

#endif
